API ReferenceapientitlementsGET /v1/admin/entitlements/grants

GET /v1/admin/entitlements/grants

Service: entitlements · operationId: (none)

List active manual grants for a user

Required scopes

(no scope declared — review service config)

Query parameters

  • user_id (string) required

Responses

200 Active grants

{
  "type": "object",
  "properties": {
    "grants": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "user_id": {
            "type": "string"
          },
          "entitlement_key": {
            "type": "string"
          },
          "reason": {
            "type": "string"
          },
          "expires_at": {
            "type": [
              "string",
              "null"
            ]
          },
          "granted_by": {
            "type": "string"
          },
          "created_at": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "user_id",
          "entitlement_key",
          "reason",
          "expires_at",
          "granted_by",
          "created_at"
        ]
      }
    }
  },
  "required": [
    "grants"
  ]
}

400 Validation error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://entitlements.platform.loop.health/v1/admin/entitlements/grants \
  -H "Authorization: Bearer $ACCESS_TOKEN"